html,
body {
  margin: 0;
  height: 100%;
}

body {
  font-family: "Poppins", sans-serif;
  color: #1b2b77;
  background-color: #fff;
}

/* CSS Reset */
* {
  box-sizing: border-box;
}

h2,
form {
  margin: 0;
}

input,
button,
textarea {
  border: 0;
  background: transparent;
  color: inherit;
  font-family: inherit;
}

button:focus,
input:focus,
textarea:focus {
  outline: none;
}

a,
a:hover,
a:visited,
a:active {
  text-decoration: none;
}

a,
button {
  cursor: pointer;
}

hr {
  border: 0;
  border-bottom: 1px solid #d0ddf8;
  margin: 0 -20px;
}

/* Utilities */
.ml-auto {
  margin-left: auto;
}

.flex-grow {
  flex-grow: 1;
}

/* Nav */
nav {
  mix-blend-mode: normal;
  background-image: linear-gradient(
    200deg,
    rgba(190, 5, 166) 12.13%,
    rgba(0, 43, 220) 91.24%
  );
  /* background-image: linear-gradient(
    0.684turn,
    rgba(190, 5, 166) 12.13%,
    rgba(0, 43, 220) 91.24%
  ); */
  /* background-image: linear-gradient(265.68deg, #002bdc 33.05%, #092065 90.2%); */
  height: 75px;
}

.nav__inner {
  display: flex;
  align-items: center;
  color: #fff;
  padding: 15px;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 99;
  height: 75px;
  background-image: linear-gradient(
    200deg,
    rgba(190, 5, 166, 0.7) 12.13%,
    rgba(0, 43, 220, 0.7) 91.24%
  );
  /* background-image: linear-gradient(
    0.684turn,
    rgba(190, 5, 166, 0.7) 12.13%,
    rgba(0, 43, 220, 0.7) 91.24%
  ); */
  border-bottom: 1px solid rgba(255, 255, 255, 0.4);
  backdrop-filter: blur(20px);
}

.logo img {
  height: 24px;
}

.nav {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* .nav__item {
  padding: 6px 10px;
} */

.nav__item a {
  color: #fff;
  display: block;
  /* padding: 5px 10px; */
  font-size: 0.875rem;
}

.nav__item--white a {
  padding: 5px 20px;
  border-radius: 100px;
  background-color: rgba(255, 255, 255, 0.3);
  border: 1px solid rgba(255, 255, 255, 0.4);
  transition: background-color 300ms;
}

.nav__item--white a:hover {
  background-color: rgba(255, 255, 255, 0.4);
}

.nav--desktop {
  display: none;
}

@media (min-width: 425px) {
  .logo img {
    height: 32px;
  }

  .nav__inner {
    padding: 15px 25px;
  }
}

@media (min-width: 991px) {
  .nav__item {
    padding: 6px 10px;
  }

  .nav__item a {
    padding: 5px 10px;
  }

  .nav--mobile {
    display: none;
  }

  .nav--desktop {
    display: flex;
  }

  .nav__inner {
    padding: 15px 25px;
  }
}

@media (min-width: 1024px) {
  .nav__inner {
    padding: 15px 35px;
  }
}

/* Mobile page */

.mobile-page {
  background-image: linear-gradient(207.37deg, #fe28e7 -17.14%, #5701b4 47.34%);
  padding: 6%;
  color: #fff;
  overflow: hidden;
}

.mobile-page--white {
  background-image: none;
}

.mobile-page__image {
  background-image: url("/assets/images/computer.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  width: 100%;
  padding-bottom: 65%;
  position: relative;
}

.mobile-page__text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  font-size: 0.875rem;
  min-width: 70%;
}

/* Company info */

.company-info {
  background-image: conic-gradient(
    from 45deg at 47.54% 35.32%,
    #1e3ccc 0deg,
    #34e4ff 360deg
  );
  border-radius: 12px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 50px 30px;
}

.company-info__text {
  color: #fff;
  text-align: center;
}

.company-info__shape {
  position: absolute;
  top: 0;
  right: 0;
  transform: translate(24%, -24%);
}

.company-info__name {
  font-size: 1rem;
  font-weight: 500;
  margin: 22px 0;
}

.company-info__detail {
  font-size: 0.75rem;
  letter-spacing: 1px;
}

/* Layout */
.layout {
  display: none;
  min-height: calc(100% - 75px);
}

@media (min-width: 900px) {
  .mobile-layout {
    display: none;
  }

  .layout {
    display: flex;
  }
}

.layout {
  width: 100%;
  background-color: #f9fbff;
  padding: 0 20px 16px;
  flex-shrink: 0;
}

.layout {
  display: flex;
  flex-direction: column;
}

.layout .request-section {
  flex: 1;
}

.request-section{
  max-width: 1000px;
  min-width: 600px;
  margin: 0 auto;
}

/* Section Header */
.section-header {
  font-weight: 600;
  font-size: 1.125rem;
  line-height: 1.6rem;
  padding: 20px;
  text-align: center;
}

/* Form Group */
.form-group {
  padding: 10px 20px;
}

.form-group__label {
  font-weight: 500;
  font-size: 0.8rem;
  line-height: 1.125rem;
  display: block;
  margin-bottom: 5px;
  text-align: center;
}

.form-group__input {
  background-color: #ffffff;
  border: 1px solid #d0ddf8;
  border-radius: 12px;
  padding: 10px 20px;
  width: 100%;
  font-size: 0.8rem;
}

.form-group__input::placeholder {
  color: #7e8ecd;
}

.form-group__input:disabled {
  background-color: #e6ecfa;
  color: #7e8ecd;
}

.form-group__share {
  border: 1px solid #d0ddf8;
  border-radius: 12px;
  display: flex;
  align-items: center;
}

.form-group__share-input {
  flex-grow: 1;
  padding: 10px 0 10px 20px;
  font-size: 0.8rem;
  color: #7e8ecd;
  text-overflow: ellipsis;
  width: 100%;
}

.form-group__share-button {
  padding: 10px;
}

/* URL Section on top right/center */
.url-section {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  color: #131c48;
  background-color: #e8ebff;
}

.url-label {
  font-weight: 500;
  font-size: 0.875rem;
  padding: 15px 25px;
}

.url-input {
  border: 1px solid #d0ddf8;
  background-color: #ffffff;
  border-radius: 12px;
  color: #2f3a65;
  font-size: 0.8rem;
  display: flex;
  margin: 5px;
  flex-grow: 1;
  max-width: 1000px;
}

.url-input__prefix {
  background-color: #f1f3ff;
  border-right: 1px solid #d0ddf8;
  border-radius: 12px 0 0 12px;
  padding: 12.5px 20px;
}

.url-input__input {
  border-radius: 0 12px 12px 0;
  padding: 12.5px 20px;
  flex-grow: 1;
  text-overflow: ellipsis;
  width: 100%;
}

/* Buttons */

.outline-button {
  display: block;
  border: 2px solid #cbd2f9;
  border-radius: 12px;
  padding: 10px 30px;
  font-size: 0.875rem;
  font-weight: 500;
  color: #131c48;
  transition: background-color 300ms;
}

.outline-button:hover {
  background-color: #cbd2f9;
}

.view-label-button {
  border: 1px solid #1f3dcd;
  border-radius: 12px;
  color: #253acd;
  padding: 13px 30px;
  font-size: 0.875rem;
  font-weight: 500;
  transition-property: background-color, color;
  transition-duration: 300ms;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.view-label-button:hover {
  background-color: #1f3dcd;
  color: #fff;
}

/* SVG in button */
.view-label-button svg path {
  fill: #253acd;
}
.view-label-button:hover svg path {
  fill: #fff;
}

.primary-button {
  display: block;
  transition: background-position 1s;
  background-image: linear-gradient(257.68deg, #1e3ccc 19.8%, #5720cd 95.51%);
  background-size: 200% 100%;
  background-position: 0 0;
  border-radius: 12px;
  border: 0;
  color: #fff;
  padding: 15px;
  width: 100%;
}

.primary-button:hover {
  background-position: 100% 0;
}

/* Code heading */
.code-heading {
  display: flex;
  align-items: center;
  background-color: #1a1f56;
}

.code-heading__image {
  width: 60px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #262c6c;
}

.code-heading__image img {
  width: 32px;
  height: auto;
}

.code-heading__title {
  color: #c9ccf1;
  font-size: 0.875rem;
  font-weight: 500;
  padding: 0 22px;
}

/* Code editor */
.code-editor {
  font-family: "Roboto Mono", monospace;
  font-weight: 500;
  font-size: 0.75rem;
  line-height: 1.6rem;
  color: white;
  background-color: #131c48;
  resize: none;
  width: 100%;
  padding: 15px 30px;
}

.code-editor::placeholder {
  color: #7e8ecd;
}

.info-box {
  display: inline-block;
  border: 1px solid #d0ddf8;
  border-radius: 6px;
  padding: 2px 7px;
  margin: 0 5px;
}
